geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dennis Cartier" <dennis.cart...@gmail.com>
Subject Re: Geronimo 1.1 Classloader Documentation
Date Wed, 30 Aug 2006 15:49:45 GMT
On 8/30/06, Aaron Mulder <ammulder@alumni.princeton.edu> wrote:
> What kind of module arrangement do you have?  What kind of problems
> are you running into?

I have a WAR file that has a dependency on a CAR file that contains
the my ACEGI classes. Both the WAR and CAR list Spring 1.2.8 as a
dependency as they both contain classes that use Spring. When I deploy
I get:

Error:
org.springframework.beans.TypeMismatchException: Failed to convert
property value of type [org.springframework.web.util.CookieGenerator]
to required type [org.springframework.web.util.CookieGenerator] for
property 'cookieGenerator'

This seems very odd as both the WAR and CAR are using the same version
of Spring (1.2.8) so I would expect that even if they are seeing the 2
instances of the Spring classes, they are the same version, so it
should work?

While trying to find a combination of options that might resolve this,
I tried adding a filter for the org.springframework classes to the CAR
file just in case a different version of Spring was being inherited
from Geronimo. This resulted in a java.lang.LinkageError being thrown
instead. I had a look at the Geronimo libs but was unable to find any
other version of Spring that might be getting used instead of the
version being requested through the dependency.

Dennis

Mime
View raw message